Bug 1121114 - [QE] (EAP-6.3.0) Errata RHSA-2013:16507 (RHEL5) and RHSA-2013:16508 (RHEL6) reported invalid Released Packages info - packages woodstox-core, woodstox-stax2-api
Summary: [QE] (EAP-6.3.0) Errata RHSA-2013:16507 (RHEL5) and RHSA-2013:16508 (RHEL6) r...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: JBoss Enterprise Application Platform 6
Classification: JBoss
Component: RPMs
Version: 6.3.0
Hardware: Unspecified
OS: Unspecified
unspecified
urgent
Target Milestone: ---
: ---
Assignee: Christopher O'Brien
QA Contact: Katerina Odabasi
Russell Dickenson
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-07-18 12:03 UTC by Pavel Janousek
Modified: 2015-02-20 11:16 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-08-06 14:52:39 UTC
Type: Bug


Attachments (Terms of Use)
Old and new files by errrata tool (20.55 KB, application/zip)
2014-07-21 10:14 UTC, Katerina Odabasi
no flags Details
TPS report (488.69 KB, application/zip)
2014-07-21 10:15 UTC, Katerina Odabasi
no flags Details

Description Pavel Janousek 2014-07-18 12:03:56 UTC
EAP-6.3.0 Errata for RHEL5 (RHSA-2013:16507) and RHEL6 (RHSA-2013:16508) reported invalid Released package info for RPM packages 'woodstox-core' and 'woodstox-stax2-api'. 

For this reason the TPS tests failed. The TPS tests are mandatory part of the standard Errata testing process. The following testing phases of RPMs are blocked by this issue and we can't continue with testing for RHEL7.For this reason it is a blocker.

Details:
For RHEL6 Errata reports two records with these NVRs:
- /mnt/redhat/brewroot/packages/woodstox-core/4.2.0/7.redhat_2.ep6.el6/data/signed/fd431d51/src/woodstox-core-4.2.0-7.redhat_2.ep6.el6.src.rpm
- /mnt/redhat/brewroot/packages/woodstox-core/4.2.0/7.redhat_2.ep6.el6/data/signed/fd431d51/noarch/woodstox-stax2-api-3.1.1-7.redhat_3.ep6.el6.noarch.rpm

The first record is ok, however the second one should point to package woodstox-core-4.2.0-7.redhat_2.ep6.el6.noarch.rpm. 

Released package info for woodstox-stax2-api-3.1.1-7.redhat_3.ep6.el6.noarch.rpm is missing and not reported at all.

Both packages were shipped with preious version of EAP in the past, they aren't the new one in EAP RPM distro/channels.

Similar situation has occurred on RHEL5.

Comment 1 Christopher O'Brien 2014-07-18 20:10:46 UTC
Errata tool released package list is reporting
- woodstox-core-4.2.0-7.redhat_2.ep6.el6

Which is correct. Both RPMs you've listed belong to that build

- woodstox-core-4.2.0-7.redhat_2.ep6.el6.src.rpm
- woodstox-stax2-api-3.1.1-7.redhat_3.ep6.el6.noarch.rpm

Could you provide more information from the error in TPS?

Comment 2 Katerina Odabasi 2014-07-21 10:14:51 UTC
Created attachment 919579 [details]
Old and new files by errrata tool

Comment 3 Katerina Odabasi 2014-07-21 10:15:29 UTC
Created attachment 919580 [details]
TPS report

Comment 4 Katerina Odabasi 2014-07-21 10:16:56 UTC
The issue is still here after the re-spin of Errata for RHEL5 and RHEL6. For this reason TPS tests are failing permanently. They are mandatory part of testing execution and block further Errata processing, thus it should be still recognized as a blocker for EAP-6.3.0 release.

Details:
In the previous releases package woodstock-core contained all rpms listed in [1].
Now woodstox-stax2-api.noarch.rpm was removed from woodstock-core build to a separate package. Now new woodstock-core package [2] contains only woodstox-core-asl.noarch.rpm, woodstock-core.noarch.rpm is missing.

However Errata tools doesn't report woodstock-core.noarch.rpm as a shipped package for the *already* released woodstox-core. ErrataTtool reports only woodstock-core.src.rpm and woodstox-stax2-api.noarch.rpm

Reported data by ErrataTool with appropriate NVRs for RHEL5 are attached (old_new_files.zip), the same issue is on RHEL6 either.

Log of TPS test can be found at attachment as well (tps_report.zip).

[1] https://brewweb.devel.redhat.com/buildinfo?buildID=270605
[2] https://brewweb.devel.redhat.com/buildinfo?buildID=358361

Comment 17 Fernando Nasser 2014-08-06 14:52:39 UTC
All tests now pass, so it is solved.


Note You need to log in before you can comment on or make changes to this bug.